Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class DlpWebappHelper

    java.lang.Object
      lp.ui.AbstractProcessor
          lp.ui.DlpProcessor
              lp.ui.DlpWebappHelper

    public class DlpWebappHelper

extends DlpProcessor

A helper class for the web application that computes refined dynamic stable models.

Version:
  0.9.0
Author:
  Martin Slota

Nested Class Summary
`private class` | `DlpWebappHelper.DlpModelProcessor`
`private class` | `DlpWebappHelper.TransDlpHtmlPrinter<W extends Writer>`

Nested classes/interfaces inherited from class lp.ui.AbstractProcessor
`AbstractProcessor.StopWatch`

Field Summary
`private boolean` | `error`
`private JspPrinter` | `printer`
`private DlpWebappHelper.DlpModelProcessor` | `processor`
`private DlpWebappHelper.TransDlpHtmlPrinter<Writer>` | `transPrinter`

Constructor Summary
`DlpWebappHelper(ConfigManager config, javax.servlet.jsp.JspWriter out)`

Method Summary
`boolean` | `isError()`
`void` | `setInput(Reader input)`
`protected void` | `showError(String comment, Exception e)`
`protected void` | `showMessage(String message)`
`void` | `writeDlp()`
`void` | `writeGroundedDlp()`
`void` | `writeModels()`
`void` | `writeTransformedDlp()`

Methods inherited from class lp.ui.DlpProcessor
`computeModels, getDlp, getGroundedDlp, getGrounderWarnings, getTransformedDlp`

Methods inherited from class lp.ui.AbstractProcessor
`escapeXMLSpecials, getConfig, getSW, chmod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printer

    private final JspPrinter printer

### transPrinter

    private final DlpWebappHelper.TransDlpHtmlPrinter<Writer> transPrinter

### processor

    private final DlpWebappHelper.DlpModelProcessor processor

### error

    private boolean error

Constructor Detail

### DlpWebappHelper

    public DlpWebappHelper(ConfigManager config,
                           javax.servlet.jsp.JspWriter out)

Method Detail

### setInput

    public void setInput(Reader input)

  Overrides:
    `setInput` in class `DlpProcessor`

### showMessage

    protected void showMessage(String message)

  Specified by:
    `showMessage` in class `AbstractProcessor`

### isError

    public boolean isError()

### showError

    protected void showError(String comment,
                             Exception e)

### writeDlp

    public void writeDlp()

### writeGroundedDlp

    public void writeGroundedDlp()

### writeTransformedDlp

    public void writeTransformedDlp()

### writeModels

    public void writeModels()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD